List analyses
curl --request GET \
--url https://partner-api.ochy-prod.com/analysis \
--header 'Authorization: Bearer <token>'import requests
url = "https://partner-api.ochy-prod.com/analysis"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partner-api.ochy-prod.com/analysis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"analyses": [
{
"id": "3dde3402-94d7-462e-a784-9306207108dd",
"analysis_type": "side_view",
"status": "success",
"subject_id": "550e8400-e29b-41d4-a716-446655440000"
},
{
"id": "3ea20fb3-e918-4d98-94ca-7477cedae9ed",
"analysis_type": "side_view",
"status": "success"
},
{
"id": "5c482a11-4f50-471f-91f2-af9acb14182f",
"analysis_type": "back_view",
"status": "success",
"subject_id": "550e8400-e29b-41d4-a716-446655440000"
},
{
"id": "6af9c095-01c6-45d0-a290-26d9080df622",
"analysis_type": "side_view",
"status": "analyzing"
}
],
"count": 4
}{
"detail": "API Key is missing"
}{
"detail": "API Key is missing"
}{
"detail": "Internal server error",
"code": "insufficient_api_credits"
}Analysis
List analyses
Retrieve all analyses belonging to the authenticated user, including their IDs, types, and current status.
This is the primary endpoint. GET /analysis/user is a legacy alias that returns the same data.
GET
/
analysis
List analyses
curl --request GET \
--url https://partner-api.ochy-prod.com/analysis \
--header 'Authorization: Bearer <token>'import requests
url = "https://partner-api.ochy-prod.com/analysis"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partner-api.ochy-prod.com/analysis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"analyses": [
{
"id": "3dde3402-94d7-462e-a784-9306207108dd",
"analysis_type": "side_view",
"status": "success",
"subject_id": "550e8400-e29b-41d4-a716-446655440000"
},
{
"id": "3ea20fb3-e918-4d98-94ca-7477cedae9ed",
"analysis_type": "side_view",
"status": "success"
},
{
"id": "5c482a11-4f50-471f-91f2-af9acb14182f",
"analysis_type": "back_view",
"status": "success",
"subject_id": "550e8400-e29b-41d4-a716-446655440000"
},
{
"id": "6af9c095-01c6-45d0-a290-26d9080df622",
"analysis_type": "side_view",
"status": "analyzing"
}
],
"count": 4
}{
"detail": "API Key is missing"
}{
"detail": "API Key is missing"
}{
"detail": "Internal server error",
"code": "insufficient_api_credits"
}Authorizations
bearerAuthapiKeyHeaderapiKeyQuery
Recommended. Pass your API key as a Bearer token in the Authorization header: Authorization: Bearer YOUR_API_KEY.